package speiger.src.coreengine.rendering.models;

import org.lwjgl.opengl.GL15;
import org.lwjgl.opengl.GL31;

public class UniformBuffer extends VertexBuffer
{
	public UniformBuffer()
	{
		this(false);
	}
	
	public UniformBuffer(boolean dynamic)
	{
		super(GL31.GL_UNIFORM_BUFFER);
		setDataType(dynamic ? GL15.GL_DYNAMIC_DRAW : GL15.GL_STATIC_DRAW);
	}
	
}
